%define upstream_name    Bio-Phylo
%define upstream_version v2.0.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Analysis and manipulation of phylogenies
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Bio/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This is the base class for the Bio::Phylo package for phylogenetic analysis
using object-oriented perl5. In this file, methods are defined that are
performed by other objects in the Bio::Phylo release that inherit from this
base class (which you normally wouldn't use directly).

For general information on how to use Bio::Phylo, consult the manual (the
Bio::Phylo::Manual manpage).

If you come here because you are trying to debug a problem you run into in
using Bio::Phylo, you may be interested in the "exceptions" system as
discussed in the Bio::Phylo::Util::Exceptions manpage. In addition, you may
find the logging system in the Bio::Phylo::Util::Logger manpage of use to
localize problems.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc COPYING LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.0.1-3.mga8
+ Revision: 1503482
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 2.0.1-2.mga7
+ Revision: 1281844
- Mageia 7 Mass Rebuild

* Sun Dec 10 2017 shlomif <shlomif> 2.0.1-1.mga7
+ Revision: 1181957
- update to v2.0.1

* Sat Jun 18 2016 pterjan <pterjan> 0.580.0-6.mga6
+ Revision: 1022741
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.580.0-5.mga6
+ Revision: 949128
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.580.0-4.mga5
+ Revision: 789121
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.580.0-3.mga5
+ Revision: 739825
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.580.0-2.mga5
+ Revision: 683603
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 0.580.0-1.mga5
+ Revision: 614643
- update to 0.58

* Sat Oct 19 2013 umeabot <umeabot> 0.560.0-2.mga4
+ Revision: 530049
- Mageia 4 Mass Rebuild

* Mon Jul 15 2013 sander85 <sander85> 0.560.0-1.mga4
+ Revision: 454764
- update to 0.56

* Sun Jan 13 2013 umeabot <umeabot> 0.520.0-2.mga3
+ Revision: 363365
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.520.0-1.mga3
+ Revision: 314859
- update to 0.52

* Tue Jun 12 2012 kharec <kharec> 0.500.0-1.mga3
+ Revision: 259985
- Add perl(URI) as BR
- update to 0.50

* Mon Jun 04 2012 kharec <kharec> 0.490.0-1.mga3
+ Revision: 254010
- update to 0.49

* Mon May 28 2012 kharec <kharec> 0.480.0-1.mga3
+ Revision: 248094
- update to 0.48

* Fri Nov 18 2011 kharec <kharec> 0.450.0-1.mga2
+ Revision: 168956
- imported package perl-Bio-Phylo


* Fri Nov 18 2011 cpan2dist 0.45-1mga
- initial mageia release, generated with cpan2dist
